<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_margin="10dp"
        android:background="@drawable/shape_white_bg_round"
        android:orientation="vertical"
        android:padding="10dp">

        <com.google.android.material.button.MaterialButton
            android:id="@+id/btn_pay"
            style="@style/AppButton"
            android:layout_width="match_parent"
            android:layout_height="@dimen/common_height"
            android:text="消费" />

        <com.google.android.material.button.MaterialButton
            android:id="@+id/btn_void"
            style="@style/AppButton"
            android:layout_width="match_parent"
            android:layout_height="@dimen/common_height"
            android:text="撤销" />

        <com.google.android.material.button.MaterialButton
            android:id="@+id/btn_refund"
            style="@style/AppButton"
            android:layout_width="match_parent"
            android:layout_height="@dimen/common_height"
            android:text="退货" />

        <com.google.android.material.button.MaterialButton
            android:id="@+id/btn_flower_choking1"
            style="@style/AppButton"
            android:visibility="gone"
            android:layout_width="match_parent"
            android:layout_height="@dimen/common_height"
            android:text="花呗分期1" />

        <com.google.android.material.button.MaterialButton
            android:id="@+id/btn_flower_choking2"
            style="@style/AppButton"
            android:layout_width="match_parent"
            android:layout_height="@dimen/common_height"
            android:text="花呗分期" />

        <com.google.android.material.button.MaterialButton
            android:id="@+id/btn_auth"
            style="@style/AppButton"
            android:layout_width="match_parent"
            android:layout_height="@dimen/common_height"
            android:text="预授权" />
        <com.google.android.material.button.MaterialButton
            android:id="@+id/btn_auth_sale"
            style="@style/AppButton"
            android:layout_width="match_parent"
            android:layout_height="@dimen/common_height"
            android:text="预授权完成" />
        <com.google.android.material.button.MaterialButton
            android:id="@+id/btn_auth_void"
            style="@style/AppButton"
            android:layout_width="match_parent"
            android:layout_height="@dimen/common_height"
            android:text="预授权撤销" />
        <com.google.android.material.button.MaterialButton
            android:id="@+id/btn_auth_sale_void"
            style="@style/AppButton"
            android:layout_width="match_parent"
            android:layout_height="@dimen/common_height"
            android:text="预授权完成撤销" />
    </LinearLayout>

</LinearLayout>